# -*- encoding : utf-8 -*-

class Admin::MOdrProductsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "stocks"
  end
  
  def index
    @m_odr_products = MOdrProduct.order(:name).all

    @m_odr_products = sort_by_sorting(@m_odr_products, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @m_odr_products = @m_odr_products.page(page).per(per_page)
      
      }
    end


  end

  def show
    @m_odr_product = MOdrProduct.find(params[:id])

  end

  def new
    @m_odr_product = MOdrProduct.new
  
  end

  def edit
    @m_odr_product = MOdrProduct.find(params[:id])
    
  end

  def create
    @m_odr_product = MOdrProduct.new(params.require(:m_odr_product).permit!)

    if @m_odr_product.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @m_odr_product = MOdrProduct.find(params[:id])


    if @m_odr_product.update_attributes(params.require(:m_odr_product).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @m_odr_product = MOdrProduct.find(params[:id])
    @m_odr_product.destroy
    
  end
end
